> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Report

Retrieves a report. Use the `status` field to determine whether the file is ready. When `status` is `succeeded`, the `url` field points to the download.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.chargeapi.co/v1/reports/rpt_BxIsIOZ5k77elGAwGtCDui48zzPRTZv7 \
    -H "Authorization: Bearer ch_sk_test_..."
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "rpt_BxIsIOZ5k77elGAwGtCDui48zzPRTZv7",
      "object": "report",
      "account": "acct_cAdKfyeIO2EVqyWjdoDmVAWmZnJnqgon",
      "created": "2026-05-02T00:33:58.199Z",
      "fleet": "flt_z0SlRrip8A34H8ZHMezWcQ043GBet9zP",
      "parameters": {
          "filters": {
              "vehicle": ["veh_XXKRCKRBlf4fhQfRgTo2zAagANNNpAvz"]
          },
          "group_by": "vehicle",
          "period_end": "2026-05-02T00:34:12.062Z",
          "period_start": "2026-04-01T00:34:23.715Z",
          "type": "charging_summary"
      },
      "size": 48312,
      "status": "succeeded",
      "succeeded_at": "2026-05-02T00:39:36.095Z",
      "type": "csv",
      "url": "https://files.chargeapi.co/reports/rpt_BxIsIOZ5k77elGAwGtCDui48zzPRTZv7.csv"
  }
  ```
</ResponseExample>

## Parameters

No parameters.

## Returns

Returns the report.
